public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
* [gentoo-commits] repo/gentoo:master commit in: x11-plugins/asapm/
@ 2021-04-20  1:42 Sam James
  0 siblings, 0 replies; 2+ messages in thread
From: Sam James @ 2021-04-20  1:42 UTC (permalink / raw
  To: gentoo-commits

commit:     6c408ec4cba6795b779b5a84de96f887ee3705b7
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Tue Apr 20 01:37:55 2021 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Tue Apr 20 01:42:26 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=6c408ec4

x11-plugins/asapm: port to EAPI 7

Signed-off-by: Sam James <sam <AT> gentoo.org>

 x11-plugins/asapm/asapm-3.1-r1.ebuild | 22 +++++++++++++++-------
 1 file changed, 15 insertions(+), 7 deletions(-)

diff --git a/x11-plugins/asapm/asapm-3.1-r1.ebuild b/x11-plugins/asapm/asapm-3.1-r1.ebuild
index e0d99b379ad..538bca9b051 100644
--- a/x11-plugins/asapm/asapm-3.1-r1.ebuild
+++ b/x11-plugins/asapm/asapm-3.1-r1.ebuild
@@ -1,9 +1,9 @@
 # Copyright 1999-2021 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
-EAPI=5
+EAPI=7
 
-inherit autotools epatch toolchain-funcs
+inherit autotools toolchain-funcs
 
 DESCRIPTION="APM monitor for AfterStep"
 HOMEPAGE="http://tigr.net/afterstep/applets/"
@@ -12,19 +12,27 @@ SRC_URI="http://www.tigr.net/afterstep/download/asapm/${P}.tar.gz"
 LICENSE="GPL-2"
 SLOT="0"
 KEYWORDS="~amd64 ~ppc -sparc ~x86"
-IUSE=""
 
 RDEPEND="x11-libs/libX11
 	x11-libs/libXpm"
-
 DEPEND="${RDEPEND}
 	x11-base/xorg-proto"
 
+PATCHES=(
+	"${FILESDIR}"/${P}-ldflags.patch
+	"${FILESDIR}"/${P}-include.patch
+	"${FILESDIR}"/${P}-autoconf.patch
+)
+
 src_prepare() {
-	epatch "${FILESDIR}"/${P}-{ldflags,include,autoconf}.patch
-	cp autoconf/configure.in . || die
-	AT_M4DIR=autoconf eautoconf
+	default
+
 	tc-export CC
+
+	cp autoconf/configure.in . || die
+	mv configure.{in,ac} || die
+
+	AT_M4DIR=autoconf eautoreconf
 }
 
 src_install() {


^ permalink raw reply related	[flat|nested] 2+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: x11-plugins/asapm/
@ 2021-04-18  6:06 Sam James
  0 siblings, 0 replies; 2+ messages in thread
From: Sam James @ 2021-04-18  6:06 UTC (permalink / raw
  To: gentoo-commits

commit:     d4a5af43410f98cd86e5da6d7cf7942dac4b1bf4
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Fri Apr 16 14:07:43 2021 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Sun Apr 18 06:05:29 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d4a5af43

x11-plugins/asapm: eutils->epatch

Package-Manager: Portage-3.0.14-prefix, Repoman-3.0.2
Signed-off-by: Sam James <sam <AT> gentoo.org>

 x11-plugins/asapm/asapm-3.1-r1.ebuild | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/x11-plugins/asapm/asapm-3.1-r1.ebuild b/x11-plugins/asapm/asapm-3.1-r1.ebuild
index 8d6ea14a235..e0d99b379ad 100644
--- a/x11-plugins/asapm/asapm-3.1-r1.ebuild
+++ b/x11-plugins/asapm/asapm-3.1-r1.ebuild
@@ -1,9 +1,9 @@
-# Copyright 1999-2018 Gentoo Foundation
+# Copyright 1999-2021 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=5
 
-inherit autotools eutils toolchain-funcs
+inherit autotools epatch toolchain-funcs
 
 DESCRIPTION="APM monitor for AfterStep"
 HOMEPAGE="http://tigr.net/afterstep/applets/"


^ permalink raw reply related	[flat|nested] 2+ messages in thread

end of thread, other threads:[~2021-04-20  1:42 UTC | newest]

Thread overview: 2+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2021-04-20  1:42 [gentoo-commits] repo/gentoo:master commit in: x11-plugins/asapm/ Sam James
  -- strict thread matches above, loose matches on Subject: below --
2021-04-18  6:06 Sam James

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox